<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.SysPowerMapper">
  <resultMap id="BaseResultMap" type="com.ssm.manage.entity.SysPower">
    <id column="power_id" jdbcType="VARCHAR" property="powerId" />
    <result column="power_name" jdbcType="VARCHAR" property="powerName" />
  </resultMap>
    <delete id="deleteByPowerId">
      delete from sys_power where power_id = #{powerId}
    </delete>
</mapper>